# Get bridgable tokens (GET /swappable_tokens)

Operation `get_swappable_tokens` of the Uniswap API. Base URL: `https://trade-api.gateway.uniswap.org/v1`.

Returns the list of destination bridge chains for a given token on a given chain.

Parameters: 2 query, 1 header · Auth: apiKey · Responses: 200, 400, 401, 404, 429, 500, 504

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `tokenIn` | string | yes |  |
| `tokenInChainId` | enum | yes |  |

## Headers

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `x-api-key` | string | yes | Your API key for authentication. |

## Responses

- `200` — Get swappable tokens successful.
- `400` — RequestValidationError, Bad Input
- `401` — UnauthorizedError eg. Account is blocked.
- `404` — ResourceNotFound eg. No quotes available or Gas fee/price not available
- `429` — Ratelimited
- `500` — Unexpected error
- `504` — Request duration limit reached.

Interactive playground: https://developers.uniswap.org/docs/api-reference/get_swappable_tokens
All endpoints: https://developers.uniswap.org/docs/api-reference
